🌳 Retrieve asset details
curl --request GET \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"assetType": "BEARER_BOND",
"clientToken": "<string>",
"clientWebhook": "<string>",
"description": "<string>",
"emailBody": "<string>",
"emailSubject": "<string>",
"entryType": "SINGLE",
"essentialContentOfRight": "<string>",
"eventualRightOfThirdParties": "<string>",
"extraOrdinaryTerminationRights": "<string>",
"files": [
{
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
}
],
"individualShare": true,
"interestCalculationMethod": "<string>",
"interestPayBackDate": "2023-11-07T05:31:56Z",
"interestRate": 123,
"investmentCondition": "<string>",
"isin": "<string>",
"key": "<string>",
"loanPayBackDate": "2023-11-07T05:31:56Z",
"mark": "<string>",
"name": "<string>",
"numberOfVotingRight": 123,
"ordinaryTerminationRights": "<string>",
"ownerEmail": "<string>",
"quantity": 123,
"restrictedShare": true,
"restrictionsOnBehalfOfThirdParties": "<string>",
"signingEndDate": "2023-11-07T05:31:56Z",
"signingStartDate": "2023-11-07T05:31:56Z",
"status": "INACTIVE",
"subordinationAgreement": "<string>",
"valuePerShare": 123,
"webhookResult": "<string>"
}Asset Management
Asset
This API endpoint allows you to fetch detailed information about a specific asset. By providing the asset name, you can access asset attributes, metadata, and relevant data.
GET
/
omni-omni
/
v1
/
assets
/
{name}
🌳 Retrieve asset details
curl --request GET \
--url https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://backend.sandbox.ecrop.de/ecrop-command/omni-omni/v1/assets/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"assetType": "BEARER_BOND",
"clientToken": "<string>",
"clientWebhook": "<string>",
"description": "<string>",
"emailBody": "<string>",
"emailSubject": "<string>",
"entryType": "SINGLE",
"essentialContentOfRight": "<string>",
"eventualRightOfThirdParties": "<string>",
"extraOrdinaryTerminationRights": "<string>",
"files": [
{
"description": "<string>",
"fileType": "PICTURE",
"title": "<string>",
"id": 123,
"url": "<string>"
}
],
"individualShare": true,
"interestCalculationMethod": "<string>",
"interestPayBackDate": "2023-11-07T05:31:56Z",
"interestRate": 123,
"investmentCondition": "<string>",
"isin": "<string>",
"key": "<string>",
"loanPayBackDate": "2023-11-07T05:31:56Z",
"mark": "<string>",
"name": "<string>",
"numberOfVotingRight": 123,
"ordinaryTerminationRights": "<string>",
"ownerEmail": "<string>",
"quantity": 123,
"restrictedShare": true,
"restrictionsOnBehalfOfThirdParties": "<string>",
"signingEndDate": "2023-11-07T05:31:56Z",
"signingStartDate": "2023-11-07T05:31:56Z",
"status": "INACTIVE",
"subordinationAgreement": "<string>",
"valuePerShare": 123,
"webhookResult": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Asset retrieved
Available options:
BEARER_BOND, COMMON_SHARE, PREFERRED_SHARE, CRYPTO_FUND_SHARE Available options:
SINGLE, CUMULATIVE Show child attributes
Show child attributes
Available options:
INACTIVE, ACTIVE, DRAFT